<html>
<head>
<title>OgreSkeletonFileFormat.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreSkeletonFileFormat.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
</div>
<p><a href="OgreSkeletonFileFormat_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Animation.html#ga5b37bdf2f67384dbd81643164545f7bd">Ogre::SkeletonChunkID</a> { <br/>
&#160;&#160;<a class="el" href="group__Animation.html#gga5b37bdf2f67384dbd81643164545f7bda7ed2511945645204fe9f7423e32aea49">Ogre::SKELETON_HEADER</a> =  0x1000, 
<a class="el" href="group__Animation.html#gga5b37bdf2f67384dbd81643164545f7bdad777591f3958da3716318eb820bbcab8">Ogre::SKELETON_BLENDMODE</a> =  0x1010, 
<a class="el" href="group__Animation.html#gga5b37bdf2f67384dbd81643164545f7bdaacf798731cab07af608a45eb331faa01">Ogre::SKELETON_BONE</a> =  0x2000, 
<a class="el" href="group__Animation.html#gga5b37bdf2f67384dbd81643164545f7bda60d951d9cd1e76668758a78eaa75e3af">Ogre::SKELETON_BONE_PARENT</a> =  0x3000, 
<br/>
&#160;&#160;<a class="el" href="group__Animation.html#gga5b37bdf2f67384dbd81643164545f7bdaa559ee7367718e8c9ffdfd1af83c9ca8">Ogre::SKELETON_ANIMATION</a> =  0x4000, 
<a class="el" href="group__Animation.html#gga5b37bdf2f67384dbd81643164545f7bdaedacebfaa34fe1ed9b95efb6210e13e1">Ogre::SKELETON_ANIMATION_BASEINFO</a> =  0x4010, 
<a class="el" href="group__Animation.html#gga5b37bdf2f67384dbd81643164545f7bda691013153a33fde3a543deed39382c20">Ogre::SKELETON_ANIMATION_TRACK</a> =  0x4100, 
<a class="el" href="group__Animation.html#gga5b37bdf2f67384dbd81643164545f7bdaebf5354fd4093986740b6f7a0b9c998e">Ogre::SKELETON_ANIMATION_TRACK_KEYFRAME</a> =  0x4110, 
<br/>
&#160;&#160;<a class="el" href="group__Animation.html#gga5b37bdf2f67384dbd81643164545f7bda869ed880064984ab52e95a922efec6cd">Ogre::SKELETON_ANIMATION_LINK</a> =  0x5000
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Definition of the OGRE .skeleton file format.  <a href="group__Animation.html#ga5b37bdf2f67384dbd81643164545f7bd">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
